Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

View usage plan with stage ID

Prev Next

Available in Classic and VPC

View the list of usage plans based on whether the specified stage has a usage plan associated with it.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/usage-plans

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
offset Long Optional Starting point of the response data
  • 0 - 9,223,372,036,854,775,807
  • It is used with limit to implement pagination
limit Long Optional Maximum number of response data
  • 1 - 9,223,372,036,854,775,807
  • It is used with offset to implement pagination
stageId String Required Stage ID
associated Boolean Optional Whether the usage plan is associated with a stage
  • true (default) | false
    • true: Vew usage plans associated with a stage applicable for stageId
    • false: View usage plans not associated with a stage applicable for stageId

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans?stageId=***5ei7***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "total" : 0,
    "usagePlans" : [ {
        "domainCode" : "domainCode",
        "usagePlanId" : "usagePlanId",
        "associatedStagesCount" : 6,
        "disabled" : true,
        "permission" : "permission",
        "usagePlanName" : "usagePlanName",
        "actionName" : "actionName"
    } ]
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "usagePlans": [
        {
            "usagePlanId": "***9rpm***",
            "usagePlanName": "usageplan",
            "associatedStagesCount": 1,
            "domainCode": "PUB"
        }
    ],
    "total": 1
}